/**
 * This class is generated by jOOQ
 */
package com.flamesgroup.storage.jooq.tables.records;


import com.flamesgroup.antrax.storage.enums.CellStatus;
import com.flamesgroup.commons.ChannelUID;
import com.flamesgroup.storage.jooq.tables.NetworkSurvey;

import java.util.Date;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record15;
import org.jooq.Row15;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class NetworkSurveyRecord extends UpdatableRecordImpl<NetworkSurveyRecord> implements Record15<Integer, Integer, Integer, Integer, Float, Short, Short, Integer, Integer, CellStatus, Integer[], Integer[], Date, ChannelUID, Long> {

	private static final long serialVersionUID = 106451928;

	/**
	 * Setter for <code>public.network_survey.id</code>.
	 */
	public NetworkSurveyRecord setId(Integer value) {
		setValue(0, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.id</code>.
	 */
	public Integer getId() {
		return (Integer) getValue(0);
	}

	/**
	 * Setter for <code>public.network_survey.arfcn</code>.
	 */
	public NetworkSurveyRecord setArfcn(Integer value) {
		setValue(1, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.arfcn</code>.
	 */
	public Integer getArfcn() {
		return (Integer) getValue(1);
	}

	/**
	 * Setter for <code>public.network_survey.bsic</code>.
	 */
	public NetworkSurveyRecord setBsic(Integer value) {
		setValue(2, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.bsic</code>.
	 */
	public Integer getBsic() {
		return (Integer) getValue(2);
	}

	/**
	 * Setter for <code>public.network_survey.rxlev</code>.
	 */
	public NetworkSurveyRecord setRxlev(Integer value) {
		setValue(3, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.rxlev</code>.
	 */
	public Integer getRxlev() {
		return (Integer) getValue(3);
	}

	/**
	 * Setter for <code>public.network_survey.ber</code>.
	 */
	public NetworkSurveyRecord setBer(Float value) {
		setValue(4, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.ber</code>.
	 */
	public Float getBer() {
		return (Float) getValue(4);
	}

	/**
	 * Setter for <code>public.network_survey.mcc</code>.
	 */
	public NetworkSurveyRecord setMcc(Short value) {
		setValue(5, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.mcc</code>.
	 */
	public Short getMcc() {
		return (Short) getValue(5);
	}

	/**
	 * Setter for <code>public.network_survey.mnc</code>.
	 */
	public NetworkSurveyRecord setMnc(Short value) {
		setValue(6, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.mnc</code>.
	 */
	public Short getMnc() {
		return (Short) getValue(6);
	}

	/**
	 * Setter for <code>public.network_survey.lac</code>.
	 */
	public NetworkSurveyRecord setLac(Integer value) {
		setValue(7, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.lac</code>.
	 */
	public Integer getLac() {
		return (Integer) getValue(7);
	}

	/**
	 * Setter for <code>public.network_survey.cell_id</code>.
	 */
	public NetworkSurveyRecord setCellId(Integer value) {
		setValue(8, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.cell_id</code>.
	 */
	public Integer getCellId() {
		return (Integer) getValue(8);
	}

	/**
	 * Setter for <code>public.network_survey.cell_status</code>.
	 */
	public NetworkSurveyRecord setCellStatus(CellStatus value) {
		setValue(9, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.cell_status</code>.
	 */
	public CellStatus getCellStatus() {
		return (CellStatus) getValue(9);
	}

	/**
	 * Setter for <code>public.network_survey.arfcns</code>.
	 */
	public NetworkSurveyRecord setArfcns(Integer[] value) {
		setValue(10, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.arfcns</code>.
	 */
	public Integer[] getArfcns() {
		return (Integer[]) getValue(10);
	}

	/**
	 * Setter for <code>public.network_survey.neighbours_arfcn</code>.
	 */
	public NetworkSurveyRecord setNeighboursArfcn(Integer[] value) {
		setValue(11, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.neighbours_arfcn</code>.
	 */
	public Integer[] getNeighboursArfcn() {
		return (Integer[]) getValue(11);
	}

	/**
	 * Setter for <code>public.network_survey.add_time</code>.
	 */
	public NetworkSurveyRecord setAddTime(Date value) {
		setValue(12, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.add_time</code>.
	 */
	public Date getAddTime() {
		return (Date) getValue(12);
	}

	/**
	 * Setter for <code>public.network_survey.gsm_channel</code>.
	 */
	public NetworkSurveyRecord setGsmChannel(ChannelUID value) {
		setValue(13, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.gsm_channel</code>.
	 */
	public ChannelUID getGsmChannel() {
		return (ChannelUID) getValue(13);
	}

	/**
	 * Setter for <code>public.network_survey.server_id</code>.
	 */
	public NetworkSurveyRecord setServerId(Long value) {
		setValue(14, value);
		return this;
	}

	/**
	 * Getter for <code>public.network_survey.server_id</code>.
	 */
	public Long getServerId() {
		return (Long) getValue(14);
	}

	// -------------------------------------------------------------------------
	// Primary key information
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Record1<Integer> key() {
		return (Record1) super.key();
	}

	// -------------------------------------------------------------------------
	// Record15 type implementation
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row15<Integer, Integer, Integer, Integer, Float, Short, Short, Integer, Integer, CellStatus, Integer[], Integer[], Date, ChannelUID, Long> fieldsRow() {
		return (Row15) super.fieldsRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row15<Integer, Integer, Integer, Integer, Float, Short, Short, Integer, Integer, CellStatus, Integer[], Integer[], Date, ChannelUID, Long> valuesRow() {
		return (Row15) super.valuesRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Integer> field1() {
		return NetworkSurvey.NETWORK_SURVEY.ID;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Integer> field2() {
		return NetworkSurvey.NETWORK_SURVEY.ARFCN;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Integer> field3() {
		return NetworkSurvey.NETWORK_SURVEY.BSIC;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Integer> field4() {
		return NetworkSurvey.NETWORK_SURVEY.RXLEV;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Float> field5() {
		return NetworkSurvey.NETWORK_SURVEY.BER;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Short> field6() {
		return NetworkSurvey.NETWORK_SURVEY.MCC;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Short> field7() {
		return NetworkSurvey.NETWORK_SURVEY.MNC;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Integer> field8() {
		return NetworkSurvey.NETWORK_SURVEY.LAC;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Integer> field9() {
		return NetworkSurvey.NETWORK_SURVEY.CELL_ID;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<CellStatus> field10() {
		return NetworkSurvey.NETWORK_SURVEY.CELL_STATUS;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Integer[]> field11() {
		return NetworkSurvey.NETWORK_SURVEY.ARFCNS;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Integer[]> field12() {
		return NetworkSurvey.NETWORK_SURVEY.NEIGHBOURS_ARFCN;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Date> field13() {
		return NetworkSurvey.NETWORK_SURVEY.ADD_TIME;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<ChannelUID> field14() {
		return NetworkSurvey.NETWORK_SURVEY.GSM_CHANNEL;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Long> field15() {
		return NetworkSurvey.NETWORK_SURVEY.SERVER_ID;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Integer value1() {
		return getId();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Integer value2() {
		return getArfcn();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Integer value3() {
		return getBsic();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Integer value4() {
		return getRxlev();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Float value5() {
		return getBer();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Short value6() {
		return getMcc();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Short value7() {
		return getMnc();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Integer value8() {
		return getLac();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Integer value9() {
		return getCellId();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public CellStatus value10() {
		return getCellStatus();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Integer[] value11() {
		return getArfcns();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Integer[] value12() {
		return getNeighboursArfcn();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Date value13() {
		return getAddTime();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ChannelUID value14() {
		return getGsmChannel();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Long value15() {
		return getServerId();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value1(Integer value) {
		setId(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value2(Integer value) {
		setArfcn(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value3(Integer value) {
		setBsic(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value4(Integer value) {
		setRxlev(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value5(Float value) {
		setBer(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value6(Short value) {
		setMcc(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value7(Short value) {
		setMnc(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value8(Integer value) {
		setLac(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value9(Integer value) {
		setCellId(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value10(CellStatus value) {
		setCellStatus(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value11(Integer[] value) {
		setArfcns(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value12(Integer[] value) {
		setNeighboursArfcn(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value13(Date value) {
		setAddTime(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value14(ChannelUID value) {
		setGsmChannel(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord value15(Long value) {
		setServerId(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public NetworkSurveyRecord values(Integer value1, Integer value2, Integer value3, Integer value4, Float value5, Short value6, Short value7, Integer value8, Integer value9, CellStatus value10, Integer[] value11, Integer[] value12, Date value13, ChannelUID value14, Long value15) {
		value1(value1);
		value2(value2);
		value3(value3);
		value4(value4);
		value5(value5);
		value6(value6);
		value7(value7);
		value8(value8);
		value9(value9);
		value10(value10);
		value11(value11);
		value12(value12);
		value13(value13);
		value14(value14);
		value15(value15);
		return this;
	}

	// -------------------------------------------------------------------------
	// Constructors
	// -------------------------------------------------------------------------

	/**
	 * Create a detached NetworkSurveyRecord
	 */
	public NetworkSurveyRecord() {
		super(NetworkSurvey.NETWORK_SURVEY);
	}

	/**
	 * Create a detached, initialised NetworkSurveyRecord
	 */
	public NetworkSurveyRecord(Integer id, Integer arfcn, Integer bsic, Integer rxlev, Float ber, Short mcc, Short mnc, Integer lac, Integer cellId, CellStatus cellStatus, Integer[] arfcns, Integer[] neighboursArfcn, Date addTime, ChannelUID gsmChannel, Long serverId) {
		super(NetworkSurvey.NETWORK_SURVEY);

		setValue(0, id);
		setValue(1, arfcn);
		setValue(2, bsic);
		setValue(3, rxlev);
		setValue(4, ber);
		setValue(5, mcc);
		setValue(6, mnc);
		setValue(7, lac);
		setValue(8, cellId);
		setValue(9, cellStatus);
		setValue(10, arfcns);
		setValue(11, neighboursArfcn);
		setValue(12, addTime);
		setValue(13, gsmChannel);
		setValue(14, serverId);
	}
}
